# -*- coding: utf-8 -*-
#    Copyright (C) 2007 Stewart Adam
#    This file is part of audio-convert-mod.

#    audio-convert-mod is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    audio-convert-mod is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with audio-convert-mod; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
All constants in the program
"""

import os
import os.path
import sys
import pwd
import ConfigParser
import audio_convert_mod

# STATIC VARIABLES
USER = pwd.getpwuid(os.getuid())[0]
UID = os.getuid()
VERSION = audio_convert_mod.__version__

USERHOME = os.path.expanduser('~%s' % USER)
if USERHOME == '~%s' % USER: # if os doesn't support that format
  USERHOME = os.path.expanduser('~')

# Paths
MAIN_PATH = os.path.abspath(os.path.dirname(sys.argv[0]))
GLADE_FILE = '%s/audio-convert-mod.glade' % MAIN_PATH
USERHOME = os.path.expanduser('~%s' % USER)
PREFLOC = '%s/.audio-convert-mod/prefs.conf' % USERHOME

def _readPrefs():
  prefs = ConfigParser.ConfigParser()
  fh = open(PREFLOC,'r')
  prefs.readfp(fh)
  fh.close()
  return prefs

def _writePrefs(config):
  fh = open(PREFLOC,'w')
  config.write(fh)
  fh.close()
