#! /usr/bin/python
# -*- coding: utf-8 -*-
#  Copyright (C) 2005, 2006, 2007 Stewart Adam
#  This file is part of audio-convert-mod.

#  audio-convert-mod is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.

#  audio-convert-mod is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with audio-convert-mod; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
"""
Puts it all together.
"""
import gtk
import getopt
import sys
import os

from audio_convert_mod import callbacks
from audio_convert_mod import widgets
from audio_convert_mod.i18n import _
from audio_convert_mod.const import *
from audio_convert_mod.formats import *

#Increase verbosity (print debug messages)\n\
def usage(e):
    if e:
        print _('Invalid usage: %s'  % e)
    print _('Usage: audio-convert-mod [OPTIONS] File1 [File2 File3 ...]\n\
  Options:\n\
    -v, --verbose  :  Print debug messages\n\
    -h, --help  :  Print this message and exit\n\
\n\
You MUST give the full path when specifying File1 files.\
')


class acm(callbacks.Controller):
  """ Main program """
  def __init__(self, paths2):
    paths = []
    for path in paths2:
      if not path.startswith('/'):
        paths.append('%s/%s' % (os.getcwd(), path))
      else:
        paths.append(path)
    callbacks.Controller.__init__(self, GLADE_FILE, paths)

# Only if we're in main execution
if __name__ == "__main__":
  try:
    avalableOptions = ["help", "verbose"]
    # letter = plain options
    # letter: = option with arg
    (opts, rest_args) = getopt.gnu_getopt(sys.argv[1:],"hv", avalableOptions)
  except (getopt.GetoptError), error:
    usage(str(error))
    sys.exit(1)
  # Remove options from paths
  paths = sys.argv[1:]
  for i in opts:
    for ii in i:
      try:
        paths.remove(ii)
      except:
          pass
  # Parse args, take action
  if opts == []:
    pass
  else:
    for (opt, value) in opts:
      if opt == "-h" or opt == "--help":
        usage('')
        sys.exit(1)
      if opt == "-v" or opt == "--verbose":
        audio_convert_mod.setVerbose(True)
  try:
    # Startup the application and call the gtk event loop
    MainApp = acm(paths)
    gtk.main()
  except KeyboardInterrupt:
    # ctrl+c?
    MainApp.main_close(None)

